# Uses of Class
serp.bytecode.ArrayLoadInstruction

Packages that use ArrayLoadInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of ArrayLoadInstruction in serp.bytecode

Methods in serp.bytecode that return ArrayLoadInstruction
Modifier and Type
Method
Description
`ArrayLoadInstruction`
Code.`aaload()`
Load an object array value onto the stack; the `aaload` opcode.
`ArrayLoadInstruction`
Code.`baload()`
Load a byte array value onto the stack; the `baload` opcode.
`ArrayLoadInstruction`
Code.`caload()`
Load a char array value onto the stack; the `caload` opcode.
`ArrayLoadInstruction`
Code.`daload()`
Load a double array value onto the stack; the `daload` opcode.
`ArrayLoadInstruction`
Code.`faload()`
Load a float array value onto the stack; the `faload` opcode.
`ArrayLoadInstruction`
Code.`iaload()`
Load an int array value onto the stack; the `iaload` opcode.
`ArrayLoadInstruction`
Code.`laload()`
Load a long array value onto the stack; the `laload` opcode.
`ArrayLoadInstruction`
Code.`saload()`
Load a short array value onto the stack; the `saload` opcode.
`ArrayLoadInstruction`
Code.`xaload()`
Load an array value onto the stack.

## Uses of ArrayLoadInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type ArrayLoadInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterArrayLoadInstruction(ArrayLoadInstruction obj)`
`void`
BCVisitor.`exitArrayLoadInstruction(ArrayLoadInstruction obj)`